
Foreman - Bug #2516

dbmigrate not compatible with SCL and bundler_ext

05/20/2013 12:49 PM - Dominic Cleal

Status: Closed   

Priority: Urgent   

Assignee: Lukas Zapletal   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The installer currently calls extras/dbmigrate, but it tries to do a bundle exec without being aware that bundler_ext moves the

Gemfile.  It should check for Gemfile.in and skip the bundle exec if bundler_ext is in use.

It also calls rake directly rather than the SCL rake.  It might be best to fix this during the package build, in a similar way to how

foreman.spec updates the init.d script.

Associated revisions

Revision 7908aba2 - 05/21/2013 05:20 PM - Lukas Zapletal

fixes #2516 - dbmigrate changes for SCL

Revision 8431ebea - 05/21/2013 05:23 PM - Lukas Zapletal

fixes #2516 - dbmigrate changes for SCL

(cherry picked from commit 7908aba2a8097bbff1bbf1ba441644ce8512b295)

History

#1 - 05/21/2013 06:17 AM - Lukas Zapletal

- Status changed from New to Assigned

- Assignee set to Lukas Zapletal

Taking.

#2 - 05/21/2013 05:23 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/634

#3 - 05/21/2013 09:03 PM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 8431ebea9c39c5c76385f9317a6163bc1f8c3e1b.
